List events
Find events by type, resource and creation period.
Query events for the company and environment of your key. Use the resource identifier to find events related to a charge or refund, even if you do not know a delivery ID.
See Find an event to interpret the filters and continue pagination.
Query Params
Number of events per page. The response indicates whether another page is available and provides its cursor.
From 1 to 100
Cursor from page.next_after to move forward in the same query. Keep the filters used on the first page.
Up to 128 characters
Cursor from page.previous_before to go back in the same query. Keep the filters used on the first page.
Up to 128 characters
Filters by event name, such as charge.paid.
Up to 100 characters
Filters by the public identifier of the resource related to the event, such as a charge, refund or webhook used in a test.
Up to 128 characters
Filters events created from this time onward, inclusive, in UTC Unix seconds.
From 0 to 253402300799
Filters events created up to this time, inclusive, in UTC Unix seconds. If you provide created_gte, this value must be greater than or equal to it.
From 0 to 253402300799
Responses
For common errors, see HTTP response codes.